Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.statement
Class IncompleteStatementInfo<Handle,Identifier extends RawSerializable>

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.statement.IncompleteStatementInfo<Handle,Identifier>

    public class IncompleteStatementInfo<Handle,Identifier extends RawSerializable>

extends java.lang.Object

Field Summary
`long` | `currentTimeout`
`boolean` | `finished`
`boolean` | `isMissingCertificate`
`Identifier` | `missingCertificateID`
`java.util.Map<java.lang.String,java.lang.Object>` | `options`
`Handle` | `sender`
`Statement<Identifier>` | `statement`

Constructor Summary
`IncompleteStatementInfo(boolean finished, Handle source, long currentTimeout, Statement<Identifier> statement, boolean isMissingCertificate, Identifier missingCertificateId, java.util.Map<java.lang.String,java.lang.Object> options)`

Method Summary
`long` | `getCurrentTimeout()`
`boolean` | `isFinished()`
`boolean` | `isMissingCertificate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### finished

    public boolean finished

### sender

    public Handle sender

### currentTimeout

    public long currentTimeout

### statement

    public Statement<Identifier extends RawSerializable> statement

### isMissingCertificate

    public boolean isMissingCertificate

### missingCertificateID

    public Identifier extends RawSerializable missingCertificateID

### options

    public java.util.Map<java.lang.String,java.lang.Object> options

Constructor Detail

### IncompleteStatementInfo

    public IncompleteStatementInfo(boolean finished,
                                   Handle source,
                                   long currentTimeout,
                                   Statement<Identifier> statement,
                                   boolean isMissingCertificate,
                                   Identifier missingCertificateId,
                                   java.util.Map<java.lang.String,java.lang.Object> options)

Method Detail

### isMissingCertificate

    public boolean isMissingCertificate()

### isFinished

    public boolean isFinished()

### getCurrentTimeout

    public long getCurrentTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.